{
  "name": "demo-server",
  "version": "1.0.0",
  "description": "lawsnote oauth demo server",
  "main": "index.js",
  "scripts": {
    "start": "node index.js",
    "migrate": "node bin/db-migrate.js",
    "test": "mocha --timeout 5000 --exit test/ && jest --passWithNoTests --runInBand --coverage .",
    "test-with-db": "npm run migrate && npm run test",
    "new-schema": "node bin/migrate-tool.js",
    "postinstall": "node -e \"var s='../',d='node_modules/src',fs=require('fs');fs.exists(d,function(e){e||fs.symlinkSync(s,d,'dir')});\""
  },
  "keywords": [],
  "author": "Jay <admin@trj.tw>",
  "license": "MIT",
  "dependencies": {
    "@google-cloud/storage": "5.4.0",
    "@koa/cors": "^3.0.0",
    "@koa/router": "^8.0.5",
    "@mtfos/swagger-generator": "git+https://github.com/otakukaze/swagger-generator.git#1.2.2",
    "axios": "0.21.0",
    "debug": "4.2.0",
    "dotenv": "^8.2.0",
    "got": "^11.8.2",
    "ioredis": "4.19.0",
    "joi": "17.3.0",
    "jsonwebtoken": "8.5.1",
    "knex": "0.21.15",
    "koa": "^2.11.0",
    "koa-body": "^4.1.1",
    "koa-logger": "^3.2.1",
    "koa-mount": "4.0.0",
    "koa-range": "0.3.0",
    "koa-static": "5.0.0",
    "pg": "8.4.1",
    "uuid": "8.3.1"
  },
  "devDependencies": {
    "chai": "4.2.0",
    "eslint": "^7.2.0",
    "eslint-config-airbnb-base": "^14.2.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-import": "^2.21.2",
    "eslint-plugin-prettier": "^3.1.3",
    "jest": "^26.6.0",
    "mocha": "^8.2.0",
    "prettier": "^2.0.5",
    "supertest": "^5.0.0"
  },
  "nodemonConfig": {
    "ignore": [
      "credential.json",
      "fcm_credential.json"
    ]
  }
}
